org.apache.cassandra.cql3

## Class ResultSet.PreparedMetadata

- java.lang.Object
- - org.apache.cassandra.cql3.ResultSet.PreparedMetadata

Enclosing class:
  ResultSet

    public static class ResultSet.PreparedMetadata
    extends java.lang.Object

The metadata for the query parameters in a prepared statement.

### Field Summary

Fields
`static CBCodec<ResultSet.PreparedMetadata>` `codec`
`java.util.List<ColumnSpecification>` `names`

### Constructor Summary

Constructors
Constructor and Description
`PreparedMetadata(java.util.List<ColumnSpecification> names, java.lang.Short[] partitionKeyBindIndexes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResultSet.PreparedMetadata` `copy()`
`boolean` `equals(java.lang.Object other)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### codec

    public static final CBCodec<ResultSet.PreparedMetadata> codec

#### names

    public final java.util.List<ColumnSpecification> names

### Constructor Detail

#### PreparedMetadata

    public PreparedMetadata(java.util.List<ColumnSpecification> names,
                            java.lang.Short[] partitionKeyBindIndexes)

### Method Detail

#### copy

    public ResultSet.PreparedMetadata copy()

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`